commit:     d8d984f9b7ae1acb54b709483281f06bbf78f9c8
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  4 17:28:00 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Oct  4 17:30:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8d984f9

x11-plugins/enigmail: bump to v2.2.4

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 x11-plugins/enigmail/Manifest                      |  1 +
 ...{enigmail-9999.ebuild => enigmail-2.2.4.ebuild} | 30 +++++++++-------------
 x11-plugins/enigmail/enigmail-9999.ebuild          | 30 +++++++++-------------
 3 files changed, 25 insertions(+), 36 deletions(-)

diff --git a/x11-plugins/enigmail/Manifest b/x11-plugins/enigmail/Manifest
index d82ff32e9fd..e5be4a82cea 100644
--- a/x11-plugins/enigmail/Manifest
+++ b/x11-plugins/enigmail/Manifest
@@ -1,3 +1,4 @@
 DIST enigmail-2.0.12.tar.gz 2614589 BLAKE2B 
3db6f595c14e02cfdc71bebc763d05926dc6e0abf4668d132fd0ce43204e681de5fce45db752c4f49b231bd7e217b75c0f23d4a7e204fa9a3a51f1c8097fb63d
 SHA512 
f9f4f1ed4c7244280be2fade0ccb2f4b5e7075dd60f53953478ffb84012e687b7ac7bad489c0b0cb2d8937916c783fe9e1841174bf1e5bdb9ab8cb58b415db74
 DIST enigmail-2.1.7.tar.gz 2851632 BLAKE2B 
8f6d1ec16b48219c75c6dbcddf4807ed57965eeec29776e7c757d5aa34da6bfdbbb58964ee3d7de2efcb65ab69fa5b020f1a8ec01cd8eee662d8195a217cdc69
 SHA512 
1b57091c8ab9aaa086f327b78d904d688c850b6d39e37e2dac82e0629c0279723eae4608ecd08a24efe9ed1bdc86fbc497e97cd800c7349a70612a42b98f3e41
 DIST enigmail-2.1.8.tar.gz 2867390 BLAKE2B 
8908705a05277b018d40260ea095d2a2d9dee9300c7c4b06a708846e93a68242f60599fd92a2dc4c6d53026723433b7548b55e9fc97fdbe667af38a526f03f8a
 SHA512 
b21867c08b5e51af4e82a9ecc6e0a7fc056fb165e6cec8fc11d8ed54fd97b30ca5597b5a23243da0803d08aa04a4a3732d56eae9454db89ecd10fcd750b0b1fb
+DIST enigmail-2.2.4.tar.gz 432157 BLAKE2B 
e6d5eab4cba2cd66669ddf38f8152511606c48ce995be331551a7b403ecbd06967c22702a06e06aa89219b5c905e835ddb4d146c0fc2cb11e1a647e46854dd1f
 SHA512 
bf23f52ed61002b05e2e432a0abd1f576fe6eb97d94ab2241e17be86138cee153d668747f5759b967d9a4977be3dc901ee78ddb168347bdbbfed9229d27f786d

diff --git a/x11-plugins/enigmail/enigmail-9999.ebuild 
b/x11-plugins/enigmail/enigmail-2.2.4.ebuild
similarity index 68%
copy from x11-plugins/enigmail/enigmail-9999.ebuild
copy to x11-plugins/enigmail/enigmail-2.2.4.ebuild
index 7369918278b..b990489fba0 100644
--- a/x11-plugins/enigmail/enigmail-9999.ebuild
+++ b/x11-plugins/enigmail/enigmail-2.2.4.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
 
 inherit python-any-r1
 
@@ -33,7 +33,7 @@ RDEPEND="
                        app-crypt/pinentry[qt5(-)]
                )
        )
-       !<mail-client/thunderbird-52.5.0
+       !<mail-client/thunderbird-78
 "
 DEPEND="${RDEPEND}
        ${PYTHON_DEPS}
@@ -41,30 +41,24 @@ DEPEND="${RDEPEND}
        dev-lang/perl
        "
 
-PATCHES=( "${FILESDIR}"/enigmail-no_pEp_auto_download.patch )
+PATCHES=( "${FILESDIR}/enigmail-no_pEp_auto_download.patch" )
 
-src_compile() {
-       # Required or parallel make fails
-       emake -C stdlib createlib
-
-       emake ipc public ui package lang stdlib
-       emake xpi
+src_prepare() {
+       default
 
+       export MAKEOPTS=-j1
 }
 
 src_install() {
-       local emid=$(sed -n '/"id":/!d; s/.*\({.*}\).*/\1/; p; q' 
build/dist/manifest.json)
+       local build_dir=build-tb
+       local emid=$(sed -n '/"id":/!d; s/.*\({.*}\).*/\1/; p; q' 
${build_dir}/dist/manifest.json)
        [[ -n ${emid} ]] || die "Could not scrape EM:ID from install.rdf"
 
-       mv build/enigmail*.xpi build/"${emid}.xpi" || die 'Could not rename XPI 
to match EM:ID'
+       mv ${build_dir}/enigmail*.xpi ${build_dir}/"${emid}.xpi" || die 'Could 
not rename XPI to match EM:ID'
 
        # thunderbird
        insinto 
"/usr/share/mozilla/extensions/{3550f703-e582-4d05-9a08-453d09bdfdc6}"
-       doins build/"${emid}.xpi"
-
-       # seamonkey
-       insinto 
"/usr/share/mozilla/extensions/{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
-       doins build/"${emid}.xpi"
+       doins ${build_dir}/"${emid}.xpi"
 }
 
 pkg_postinst() {
@@ -78,7 +72,7 @@ pkg_postinst() {
        esac
        if [[ -n ${REPLACING_VERSIONS} ]]; then
                elog
-               elog "Please restart thunderbird and/or seamonkey in order for 
them to use"
+               elog "Please restart thunderbird in order for them to use"
                elog "the newly installed version of enigmail."
        fi
 }

diff --git a/x11-plugins/enigmail/enigmail-9999.ebuild 
b/x11-plugins/enigmail/enigmail-9999.ebuild
index 7369918278b..b990489fba0 100644
--- a/x11-plugins/enigmail/enigmail-9999.ebuild
+++ b/x11-plugins/enigmail/enigmail-9999.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
 
 inherit python-any-r1
 
@@ -33,7 +33,7 @@ RDEPEND="
                        app-crypt/pinentry[qt5(-)]
                )
        )
-       !<mail-client/thunderbird-52.5.0
+       !<mail-client/thunderbird-78
 "
 DEPEND="${RDEPEND}
        ${PYTHON_DEPS}
@@ -41,30 +41,24 @@ DEPEND="${RDEPEND}
        dev-lang/perl
        "
 
-PATCHES=( "${FILESDIR}"/enigmail-no_pEp_auto_download.patch )
+PATCHES=( "${FILESDIR}/enigmail-no_pEp_auto_download.patch" )
 
-src_compile() {
-       # Required or parallel make fails
-       emake -C stdlib createlib
-
-       emake ipc public ui package lang stdlib
-       emake xpi
+src_prepare() {
+       default
 
+       export MAKEOPTS=-j1
 }
 
 src_install() {
-       local emid=$(sed -n '/"id":/!d; s/.*\({.*}\).*/\1/; p; q' 
build/dist/manifest.json)
+       local build_dir=build-tb
+       local emid=$(sed -n '/"id":/!d; s/.*\({.*}\).*/\1/; p; q' 
${build_dir}/dist/manifest.json)
        [[ -n ${emid} ]] || die "Could not scrape EM:ID from install.rdf"
 
-       mv build/enigmail*.xpi build/"${emid}.xpi" || die 'Could not rename XPI 
to match EM:ID'
+       mv ${build_dir}/enigmail*.xpi ${build_dir}/"${emid}.xpi" || die 'Could 
not rename XPI to match EM:ID'
 
        # thunderbird
        insinto 
"/usr/share/mozilla/extensions/{3550f703-e582-4d05-9a08-453d09bdfdc6}"
-       doins build/"${emid}.xpi"
-
-       # seamonkey
-       insinto 
"/usr/share/mozilla/extensions/{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
-       doins build/"${emid}.xpi"
+       doins ${build_dir}/"${emid}.xpi"
 }
 
 pkg_postinst() {
@@ -78,7 +72,7 @@ pkg_postinst() {
        esac
        if [[ -n ${REPLACING_VERSIONS} ]]; then
                elog
-               elog "Please restart thunderbird and/or seamonkey in order for 
them to use"
+               elog "Please restart thunderbird in order for them to use"
                elog "the newly installed version of enigmail."
        fi
 }

Reply via email to